Quote

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class Quote

    java.lang.Object
      com.fenalco.entities.Quote

    public class Quote

extends java.lang.Object

Representa una cotización

Field Summary
`private java.lang.String` | `description` Breve descripción que se anexa a la información enviada en la cotización
`private int` | `id` Identificador de la cotización
`private java.util.Hashtable` | `products` Productos que hacen parte de la cotización, este Hashtable está organizado de la siguiente forma: - key: id del objeto QuoteProduct - Value: Objeto QuoteProduct
`private java.sql.Date` | `quoteDate` Fecha en que se solicita la cotización
`private int` | `statusId` Identificador del estado de la cotización
`private java.lang.String` | `statusName` Estado de la cotización en texto
`private int` | `storeId` Identificador del establecimiento que está solicitando la cotización
`private java.lang.String` | `storeName` Nombre del establecimiento que está solicitando la cotización
`private int` | `supplierId` Identificador del proveedor al que se está solicitando la cotización
`private java.lang.String` | `supplierName` Nombre del proveedor al que se está solicitando la cotización
`private java.lang.String` | `userId` Identificador del usuario que está solicitando la cotización
`private double` | `value` valor total de la cotización

Constructor Summary
`Quote()` Constructor por omisión, crea la cotización vacia
`Quote(int id)` Constructor que recibe el id de la cotización y llama al método loaddata para que cargue la información necesaria de la base de datos

Method Summary
`void` | `addProduct(QuoteProduct product)` Este método agrega un objeto de tipo QuoteProduct al Hashtable la cotización
`boolean` | `answer(Transaction transaction, java.lang.String subject, java.lang.String message)` Envia un correo al minorista que solicitó la cotización con la respuesta dada por el proveedor
`void` | `calculateValue()`
`boolean` | `delete(Transaction transaction)` Elimina una cotización de la base de datos usando el método `addSql` de la transacción
`java.lang.String` | `getDescription()` Getter for property description.
`int` | `getId()` Getter for property id.
`java.util.Hashtable` | `getProducts()` Getter for property products.
`java.sql.Date` | `getQuoteDate()` Getter for property quoteDate.
`int` | `getStatusId()`
`java.lang.String` | `getStatusName()`
`int` | `getStoreId()` Getter for property storeId.
`java.lang.String` | `getStoreName()` Getter for property storeName.
`int` | `getSupplierId()` Getter for property supplierId.
`java.lang.String` | `getSupplierName()` Getter for property supplierName.
`java.lang.String` | `getUserId()`
`double` | `getValue()` Getter for property value.
`int` | `hashCode()`
`boolean` | `loadData(int id)` Carga la información de la cotización de la base de datos a partir del identificador
`boolean` | `saveData(Transaction transaction)` Almacena la información de la cotización en la base de datos como un nuevo registro usando el método `addSql` de la transacción
`void` | `setDescription(java.lang.String description)` Setter for property description.
`void` | `setId(int id)` Setter for property id.
`void` | `setProducts(java.util.Hashtable products)` Setter for property products.
`void` | `setQuoteDate(java.sql.Date quoteDate)` Setter for property quoteDate.
`void` | `setStatusId(int statusId)`
`void` | `setStatusName(java.lang.String statusName)`
`void` | `setStoreId(int storeId)` Setter for property storeId.
`void` | `setStoreName(java.lang.String storeName)` Setter for property storeName.
`void` | `setSupplierId(int supplierId)` Setter for property supplierId.
`void` | `setSupplierName(java.lang.String supplierName)` Setter for property supplierName.
`void` | `setUserId(java.lang.String userId)`
`void` | `setValue(double value)` Setter for property value.
`boolean` | `submit()` envia un correo al proveedor informandole de la cotización que se le está solicitando
`boolean` | `update(Transaction transaction)` Actualiza la información de una cotización usando el método `addSql` de la transacción

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    private int id

  Identificador de la cotización

### storeId

    private int storeId

  Identificador del establecimiento que está solicitando la cotización

### storeName

    private java.lang.String storeName

  Nombre del establecimiento que está solicitando la cotización

### userId

    private java.lang.String userId

  Identificador del usuario que está solicitando la cotización

### supplierId

    private int supplierId

  Identificador del proveedor al que se está solicitando la cotización

### supplierName

    private java.lang.String supplierName

  Nombre del proveedor al que se está solicitando la cotización

### quoteDate

    private java.sql.Date quoteDate

  Fecha en que se solicita la cotización

### description

    private java.lang.String description

  Breve descripción que se anexa a la información enviada en la cotización

### statusId

    private int statusId

  Identificador del estado de la cotización

### statusName

    private java.lang.String statusName

  Estado de la cotización en texto

### value

    private double value

  valor total de la cotización

### products

    private java.util.Hashtable products

  Productos que hacen parte de la cotización, este Hashtable está organizado de la siguiente forma: - key: id del objeto QuoteProduct - Value: Objeto QuoteProduct

Constructor Detail

### Quote

    public Quote()

  Constructor por omisión, crea la cotización vacia

### Quote

    public Quote(int id)

  Constructor que recibe el id de la cotización y llama al método loaddata para que cargue la información necesaria de la base de datos

  Parameters:
    `id` - Identificador de la cotización para buscarla en la base de datos

Method Detail

### loadData

    public boolean loadData(int id)

  Carga la información de la cotización de la base de datos a partir del identificador

  Parameters:
    `id` - Identificador de la cotización
  Returns:
    booleano que indica si se pudo cargar la información correctamente o no

### saveData

    public boolean saveData(Transaction transaction)

  Almacena la información de la cotización en la base de datos como un nuevo registro usando el método `addSql` de la transacción

  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    booleano que indica si se pudo almacenar la información correctamente o no

### delete

    public boolean delete(Transaction transaction)

  Elimina una cotización de la base de datos usando el método `addSql` de la transacción

  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    booleano que indica si se pudo eliminar la cotización o no

### update

    public boolean update(Transaction transaction)

  Actualiza la información de una cotización usando el método `addSql` de la transacción

  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    booleano que indica si se pudo actualizar la información o no

### submit

    public boolean submit()

  envia un correo al proveedor informandole de la cotización que se le está solicitando

  Returns:
    booleano que indica si se pudo enviar el correo o no

### answer

    public boolean answer(Transaction transaction,
                          java.lang.String subject,
                          java.lang.String message)

  Envia un correo al minorista que solicitó la cotización con la respuesta dada por el proveedor

  Returns:
    booleano que indica si se pudo enviar el correo o no

### getId

    public int getId()

  Getter for property id.

  Returns:
    Value of property id.

### setId

    public void setId(int id)

  Setter for property id.

  Parameters:
    `id` - New value of property id.

### getStoreId

    public int getStoreId()

  Getter for property storeId.

  Returns:
    Value of property storeId.

### setStoreId

    public void setStoreId(int storeId)

  Setter for property storeId.

  Parameters:
    `storeId` - New value of property storeId.

### getStoreName

    public java.lang.String getStoreName()

  Getter for property storeName.

  Returns:
    Value of property storeName.

### setStoreName

    public void setStoreName(java.lang.String storeName)

  Setter for property storeName.

  Parameters:
    `storeName` - New value of property storeName.

### getSupplierId

    public int getSupplierId()

  Getter for property supplierId.

  Returns:
    Value of property supplierId.

### setSupplierId

    public void setSupplierId(int supplierId)

  Setter for property supplierId.

  Parameters:
    `supplierId` - New value of property supplierId.

### getSupplierName

    public java.lang.String getSupplierName()

  Getter for property supplierName.

  Returns:
    Value of property supplierName.

### setSupplierName

    public void setSupplierName(java.lang.String supplierName)

  Setter for property supplierName.

  Parameters:
    `supplierName` - New value of property supplierName.

### getQuoteDate

    public java.sql.Date getQuoteDate()

  Getter for property quoteDate.

  Returns:
    Value of property quoteDate.

### setQuoteDate

    public void setQuoteDate(java.sql.Date quoteDate)

  Setter for property quoteDate.

  Parameters:
    `quoteDate` - New value of property quoteDate.

### getDescription

    public java.lang.String getDescription()

  Getter for property description.

  Returns:
    Value of property description.

### setDescription

    public void setDescription(java.lang.String description)

  Setter for property description.

  Parameters:
    `description` - New value of property description.

### getProducts

    public java.util.Hashtable getProducts()

  Getter for property products.

  Returns:
    Value of property products.

### setProducts

    public void setProducts(java.util.Hashtable products)

  Setter for property products.

  Parameters:
    `products` - New value of property products.

### getStatusId

    public int getStatusId()

  Returns:
    Returns the statusId.

### setStatusId

    public void setStatusId(int statusId)

  Parameters:
    `statusId` - The statusId to set.

### getStatusName

    public java.lang.String getStatusName()

  Returns:
    Returns the statusName.

### setStatusName

    public void setStatusName(java.lang.String statusName)

  Parameters:
    `statusName` - The statusName to set.

### getUserId

    public java.lang.String getUserId()

  Returns:
    Returns the userId.

### setUserId

    public void setUserId(java.lang.String userId)

  Parameters:
    `userId` - The userId to set.

### calculateValue

    public void calculateValue()

### getValue

    public double getValue()

  Getter for property value.

  Returns:
    Value of property value.

### setValue

    public void setValue(double value)

  Setter for property value.

  Parameters:
    `value` - New value of property value.

### addProduct

    public void addProduct(QuoteProduct product)

  Este método agrega un objeto de tipo QuoteProduct al Hashtable la cotización

  Parameters:
    `product` - producto a ser agregado

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD